2021-12-08 19:55 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002750FSSCPFS2NetDpublic2012-12-19 02:41
ReporterSiechtum 
Assigned ToMjnMixael 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
Platformx86_64OSLinux MInt Debian EditionOS Version201204
Product Version3.6.15 
Target VersionFixed in Version 
Summary0002750: FS2NET account data is not persistent in game
DescriptionEverytime I start the game, I have to manually enter my FS2net account data.
Steps To Reproduce-start the game
-select pilot profile for multiplayer
-go to "options" > Multi
-click on "PXO" and enter name and password
-click on "accept
-click on "start multiplayer", play multiplayer match...
- quit the game
-repeated step 2 to 3
-PXO data empty
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0014412

pecenipicek (reporter)

Please check the permissions on the .fs2_open directory in your home folder, make sure that the files are readable in that folder. Also, try giving wxLauncher a try if you havent already.

~0014413

chief1983 (administrator)

Last edited: 2012-12-10 15:57

View 2 revisions

I am also getting this problem on OS X 10.7 with r9367, Debug Inferno and wxLauncher 0.9.1. The crazy thing is, the data is _written_ to the ~/Library/FS2_Open/fs2_open.ini file. It is then just ignored. The wxLauncher is also not reading the Connection Type and Speed from that file, even though it's written successfully as well. The permissions on the file are 644, and I'm running everything as the same user. Other things in it, such as the last player, seem to be utilized by the game.

Oh man, just saw something strange as I was debugging while typing this.

After a run of the game where I save this info, this is my fs2_open.ini:

[Default]
VideocardFs2open=OGL -(640x480)x32 bit
TextureFilter=1
OGL_AnisotropicFilter=0
OGL_AntiAliasSamples=0
SoundDeviceOAL=Built-in Output
CurrentJoystick=99999
EnableJoystickFF=0
EnableHitEffect=0
NetworkConnection=LAN
ConnectionSpeed=Fast
LastPlayer=chief1983M

[Sound]
PlaybackDevice=Built-in Output
CaptureDevice=Built-in Microphone

[PXO]
FS2OpenPXO=1
Login=chief1983
Password=<password>
SquadName=

After I hit 'Play' again in wxLauncher, I output that file again, and saw this:

[Default]
VideocardFs2open=OGL -(640x480)x32 bit
TextureFilter=1
OGL_AnisotropicFilter=0
OGL_AntiAliasSamples=0
SoundDeviceOAL=Built-in Output
CurrentJoystick=99999
EnableJoystickFF=0
EnableHitEffect=0
NetworkConnection=LAN
ConnectionSpeed=Fast
[Sound]
PlaybackDevice=Built-in Output
CaptureDevice=Built-in Microphone

So I added the info again, closed wxLauncher, and opened the app directly. Information is saved! Seems this is a wxLauncher bug after all, not a *nix bug.

~0014415

MjnMixael (manager)

Not an FSO issue. Refiled here:

https://code.google.com/p/wxlauncher/issues/detail?id=97&thanks=97&ts=1355175201

with the wxLauncher team.

~0014416

chief1983 (administrator)

Marked as confirmed/suspended, to be followed up on when wxLauncher is patched.

~0014464

jg18 (developer)

Just to let the people who aren't on the wxL ticket know, an experimental patch has been posted there. http://code.google.com/p/wxlauncher/issues/detail?id=97#c3 Please test and provide feedback there.

chief1983: The connection settings issue should be fixed in trunk http://code.google.com/p/wxlauncher/source/detail?r=dcd1d6405db40e032e1fe4903c75a36a25acdca4

~0014536

jg18 (developer)

chief1983 and Siechtum have verified that the patch works, so it was committed to wxL trunk. http://code.google.com/p/wxlauncher/source/detail?r=17453e162c85

This ticket can now be closed.

~0014537

MjnMixael (manager)

wxL has been patched. No need to track this here any longer.
+Notes

-Issue History
Date Modified Username Field Change
2012-12-10 14:16 Siechtum New Issue
2012-12-10 15:05 pecenipicek Note Added: 0014412
2012-12-10 15:48 chief1983 Note Added: 0014413
2012-12-10 15:57 chief1983 Note Edited: 0014413 View Revisions
2012-12-10 16:16 chief1983 Priority high => normal
2012-12-10 16:16 chief1983 Severity major => minor
2012-12-10 16:16 chief1983 Status new => confirmed
2012-12-10 16:16 chief1983 Resolution open => suspended
2012-12-10 16:19 MjnMixael Note Added: 0014415
2012-12-10 16:27 chief1983 Note Added: 0014416
2012-12-14 20:57 jg18 Note Added: 0014464
2012-12-19 00:03 jg18 Note Added: 0014536
2012-12-19 00:22 MjnMixael Note Added: 0014537
2012-12-19 00:22 MjnMixael Status confirmed => closed
2012-12-19 00:22 MjnMixael Assigned To => MjnMixael
2012-12-19 02:41 chief1983 Resolution suspended => no change required
+Issue History